{
****************************************************************
*                                                              *
*       Unit Errors.pas : Error reporting procedures           *
*                                                              *
****************************************************************
}
unit Errors;

interface

procedure Error(s : string);
procedure Abort_(S : String);
procedure Expected(s : string);

implementation
uses Globals;
procedure Error(s : string);
begin
  WriteLn;
  WriteLn(^G,'(',LineCount+1,') Error: ',s,'.');
end;

procedure Abort_(S : String);
begin
  Error(S);
  ReadLn;
  Halt;
end;

procedure Expected(s : string);
begin
  Abort_(s + ' Expected');
end;

begin
end.